curl --request GET \
--url https://api.runflow.io/v1/models \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"version": "<string>",
"is_public": true,
"is_open_source": true,
"icon_url": "<string>",
"cover_url": "<string>",
"category_code": "<string>",
"status_code": "<string>",
"family_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"family_variant_code": "<string>",
"param_count": "<string>",
"architecture": "<string>",
"license_code": "<string>",
"max_resolution": "<string>",
"lora_support": true,
"fine_tuning": true,
"supports_streaming": true,
"paper_url": "<string>",
"github_url": "<string>",
"is_official": true,
"availability_status": "<string>",
"seo": {},
"notable_features": [
"<unknown>"
],
"content": "<string>",
"pricing_note": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"variable_type_code": "<string>",
"default_behavior_code": "<string>",
"validator_code": "<string>",
"validator_attrs": {},
"is_required": true,
"default_value": {},
"sort_order": 123,
"is_featured": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"outputs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"variable_type_code": "<string>",
"validator_code": "<string>",
"validator_attrs": {},
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"examples": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"input": {},
"output": {},
"status_code": 123,
"cost": "<string>",
"start_type": "<string>",
"timing": {},
"duration_ms": 123,
"total_ms": 123,
"thumbnail_url": "<string>",
"category_code": "<string>",
"is_featured": true,
"is_public": true,
"sort_order": 123,
"ran_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"faq_entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question": "<string>",
"answer": "<string>",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pricing": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_model_code": "<string>",
"rule_effect_code": "<string>",
"model_input_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"match_value": null,
"dimension_code": "<string>",
"min_value": "<string>",
"max_value": "<string>",
"price": "<string>",
"currency_code": "<string>",
"unit_code": "<string>",
"multiplier_label": "<string>",
"description": "<string>",
"sort_order": 123,
"disabled_at": "2023-11-07T05:31:56Z",
"measurement_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"related_links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}
],
"first": "<string>",
"next": "<string>",
"previous": "<string>"
}List models with filtering, sorting, and pagination.
curl --request GET \
--url https://api.runflow.io/v1/models \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"version": "<string>",
"is_public": true,
"is_open_source": true,
"icon_url": "<string>",
"cover_url": "<string>",
"category_code": "<string>",
"status_code": "<string>",
"family_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"family_variant_code": "<string>",
"param_count": "<string>",
"architecture": "<string>",
"license_code": "<string>",
"max_resolution": "<string>",
"lora_support": true,
"fine_tuning": true,
"supports_streaming": true,
"paper_url": "<string>",
"github_url": "<string>",
"is_official": true,
"availability_status": "<string>",
"seo": {},
"notable_features": [
"<unknown>"
],
"content": "<string>",
"pricing_note": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"variable_type_code": "<string>",
"default_behavior_code": "<string>",
"validator_code": "<string>",
"validator_attrs": {},
"is_required": true,
"default_value": {},
"sort_order": 123,
"is_featured": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"outputs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"variable_type_code": "<string>",
"validator_code": "<string>",
"validator_attrs": {},
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"examples": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"input": {},
"output": {},
"status_code": 123,
"cost": "<string>",
"start_type": "<string>",
"timing": {},
"duration_ms": 123,
"total_ms": 123,
"thumbnail_url": "<string>",
"category_code": "<string>",
"is_featured": true,
"is_public": true,
"sort_order": 123,
"ran_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"faq_entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question": "<string>",
"answer": "<string>",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pricing": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_model_code": "<string>",
"rule_effect_code": "<string>",
"model_input_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"match_value": null,
"dimension_code": "<string>",
"min_value": "<string>",
"max_value": "<string>",
"price": "<string>",
"currency_code": "<string>",
"unit_code": "<string>",
"multiplier_label": "<string>",
"description": "<string>",
"sort_order": 123,
"disabled_at": "2023-11-07T05:31:56Z",
"measurement_source": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"related_links": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}
],
"first": "<string>",
"next": "<string>",
"previous": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ANTLR filter expression
Page size
1 <= x <= 500Sort expression (e.g. created_at:desc)
Field projection (e.g. id,name)
Relation embedding. Available values: examples, faq_entries, inputs, outputs, pricing, related_links. Use a comma-separated list to request multiple embeds.
Pagination cursor query
Backward pagination flag